
PVector cMult ( PVector v1, PVector v2){
    PVector v1c = cConj(v1);
    float x = v1c.dot(v2);
    float y = v1c.cross(v2).z;
    return(new PVector(x,y));
}

PVector cConj (PVector v){
    return(new PVector(v.x,-v.y));
}

PVector cInverse( PVector z ){
   float m = z.mag();
   PVector res = cConj(z);
   res.div(m*m);
   return(res);
}

PVector cAdd( PVector z1, PVector z2){
 PVector res = new PVector(z1.x,z1.y);
 res.add(z2);
  return(res); 
}

PVector cNeg (PVector v){
    return(new PVector(-v.x,-v.y));
}
